hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jinsong Hu" <jinsong...@hotmail.com>
Subject retirement of org.apache.hadoop.security.UnixUserGroupInformation in new version of hadoop
Date Mon, 08 Nov 2010 20:28:09 GMT
Hi, There:
  I was trying to compile trunk version of hive with cloudera cdh3b3 
distribution and noticed that in
org.apache.hadoop.hive.ql Driver.java was using:

org.apache.hadoop.security.UnixUserGroupInformation;

However, in the cdh3b3 version of hadoop, this class is gone, so Driver.java 
doesn't compile.

I checked 0.6 version of hive, the same issue exists.

I noticed that class org.apache.hadoop.security.UserGroupInformation is 
still there, both
in cdh3b2 and cdh3b3 version of hadoop. Can we change the Driver.java to use

org.apache.hadoop.security.UserGroupInformation;

instead ? This class does sound like a more generic class that in the 
future, we may
even get it to work under windows or other os.

Jimmy.

 


Mime
View raw message